/* ==========================================================================
// internal variables, dependencies, etc
========================================================================== */

import {Post} from './Post';
import $ from 'jquery';

let json = {
  "type": "audio",
  "status": {
    "ready": true
  },
  "files": {
    "original": "https://skrapps-api-staging-east.s3.amazonaws.com/posts/5/2016/08/18/4942809451741/masters/Quad-MINDED-2.03_01.mp3?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473812824&Signature=YpVyPLfE5YRu84O1eDY8d8GbCIk%3D",
    "transcoded": "https://skrapps-api-staging-east.s3.amazonaws.com/posts/5/2016/08/18/4942809451741/transcoded/Quad-MINDED-2.03_01.m4a?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473812824&Signature=ID7iMsAjH6%2Fq9MWO%2BZT%2FHr4bSBc%3D"
  },
  "images": {
    "360": {
      "url": "https://skrapps-api-dev-east.s3.amazonaws.com/users/6/albums/1/transcoded/skrapps-app-icon-360.png?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473811581&Signature=0zj%2BG01vjLHhRMCJ1QTtmsZ3b%2FQ%3D",
      "width": 360,
      "height": 360,
      "size": 183857,
      "format": "png"
    },
    "640": {
      "url": "https://skrapps-api-dev-east.s3.amazonaws.com/users/6/albums/1/transcoded/skrapps-app-icon-640.png?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473811581&Signature=DzMmhdhVRaLFjGFJldkfu%2B0lX5A%3D",
      "width": 640,
      "height": 640,
      "size": 562373,
      "format": "png"
    },
    "750": {
      "url": "https://skrapps-api-dev-east.s3.amazonaws.com/users/6/albums/1/transcoded/skrapps-app-icon-750.png?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473811581&Signature=YSwFf8QU1troNdFwV%2Boxl82Ccso%3D",
      "width": 750,
      "height": 750,
      "size": 755518,
      "format": "png"
    },
    "828": {
      "url": "https://skrapps-api-dev-east.s3.amazonaws.com/users/6/albums/1/transcoded/skrapps-app-icon-828.png?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473811581&Signature=555R0%2Ftho5QTJTXtdV%2Fzo8HOKUk%3D",
      "width": 828,
      "height": 828,
      "size": 907324,
      "format": "png"
    },
    "original": {
      "url": "https://skrapps-api-dev-east.s3.amazonaws.com/users/6/albums/1/skrapps-app-icon.png?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473811581&Signature=n5UzAKDGoRXxt7H6O2Qj34GVNpk%3D",
      "width": 1024,
      "height": 1024,
      "size": 1243828,
      "format": "png"
    }
  },
  "id": 254,
  "title": "Over",
  "description": null,
  "public": true,
  "promoted": false,
  "view_count": 85,
  "created_at": "2016-08-18T19:38:02.908Z",
  "updated_at": "2016-09-02T04:53:09.987Z",
  "user_id": 5,
  "albums": [
    {
      "status": {
        "ready": true
      },
      "images": null,
      "id": 1,
      "hashtag": "hiphop",
      "title": null,
      "description": null,
      "type": "personal",
      "hidden": false,
      "post_count": 2,
      "created_at": "2016-08-27T01:52:01.944Z",
      "updated_at": "2016-08-27T01:52:01.944Z",
      "user_id": 19,
      "tag_id": 191,
      "relationship": {
        "created_at": "2016-08-27T01:52:01.956Z",
        "album_id": 1,
        "post_id": 254
      }
    }
  ],
  "comments": [
    {
      "id": 60,
      "text": "Where's the photo from? 📻",
      "created_at": "2016-08-27T03:02:18.041Z",
      "user": {
        "id": 19,
        "username": "elliot",
        "profile": {
          "status": {
            "ready": true
          },
          "images": {
            "original": "https://skrapps-api-staging-east.s3.amazonaws.com/users/91/profile/176D8F09-BBD6-4B99-A44D-9E0DFAC7577A-15377-000014E5E347CB8C_file.jpg?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473812824&Signature=49YRkvXKaEnLeYhsewmG%2Bjl4tNI%3D",
            "thumbnail": "https://skrapps-api-staging-east.s3.amazonaws.com/users/91/profile/transcoded/176D8F09-BBD6-4B99-A44D-9E0DFAC7577A-15377-000014E5E347CB8C_file-360x360.jpg?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473812824&Signature=GCuBmGl1Q%2BOC%2BbYP7211rioceHg%3D",
            "small": "https://skrapps-api-staging-east.s3.amazonaws.com/users/91/profile/transcoded/176D8F09-BBD6-4B99-A44D-9E0DFAC7577A-15377-000014E5E347CB8C_file-640x640.jpg?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473812824&Signature=6NDV3JjbWMX8dV1fDUb6BlX3UZE%3D",
            "medium": "https://skrapps-api-staging-east.s3.amazonaws.com/users/91/profile/transcoded/176D8F09-BBD6-4B99-A44D-9E0DFAC7577A-15377-000014E5E347CB8C_file-750x750.jpg?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473812824&Signature=uisOFhX0nzCaSLwvm7ZMB8bMlyw%3D",
            "large": "https://skrapps-api-staging-east.s3.amazonaws.com/users/91/profile/transcoded/176D8F09-BBD6-4B99-A44D-9E0DFAC7577A-15377-000014E5E347CB8C_file-828x828.jpg?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473812824&Signature=QKvjanX3gF6KY6755lk4m%2FBqfiI%3D"
          },
          "id": 7,
          "name": "Elliot Fleming",
          "bio": "Elliot writes code for your ears }{",
          "created_at": "2016-04-28T07:31:55.143Z",
          "updated_at": "2016-07-18T04:59:56.655Z",
          "user_id": 19
        }
      }
    }
  ],
  "statistics": {
    "plays": 85,
    "unique_plays": 11,
    "finishes": 0,
    "unique_finishes": 0,
    "likes": 4,
    "comments": 1,
    "shares": 0,
    "score": 0,
    "post_id": 254
  },
  "likes": [
    {
      "id": 19,
      "username": "elliot",
      "likes": {
        "created_at": "2016-08-18T19:44:35.292Z",
        "user_id": 19,
        "post_id": 254
      }
    },
    {
      "id": 56,
      "username": "scott",
      "likes": {
        "created_at": "2016-08-21T05:41:37.659Z",
        "user_id": 56,
        "post_id": 254
      }
    },
    {
      "id": 5,
      "username": "alex",
      "likes": {
        "created_at": "2016-08-19T01:13:30.413Z",
        "user_id": 5,
        "post_id": 254
      }
    },
    {
      "id": 37,
      "username": "sherwin",
      "likes": {
        "created_at": "2016-08-18T21:38:30.620Z",
        "user_id": 37,
        "post_id": 254
      }
    }
  ],
  "tags": [
    {
      "id": 185,
      "name": "mixtape"
    }
  ],
  "user": {
    "id": 5,
    "username": "alex",
    "profile": {
      "status": {
        "ready": true
      },
      "images": {
        "360": {
          "url": "https://skrapps-api-dev-east.s3.amazonaws.com/users/6/albums/1/transcoded/skrapps-app-icon-360.png?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473811581&Signature=0zj%2BG01vjLHhRMCJ1QTtmsZ3b%2FQ%3D",
          "width": 360,
          "height": 360,
          "size": 183857,
          "format": "png"
        },
        "640": {
          "url": "https://skrapps-api-dev-east.s3.amazonaws.com/users/6/albums/1/transcoded/skrapps-app-icon-640.png?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473811581&Signature=DzMmhdhVRaLFjGFJldkfu%2B0lX5A%3D",
          "width": 640,
          "height": 640,
          "size": 562373,
          "format": "png"
        },
        "750": {
          "url": "https://skrapps-api-dev-east.s3.amazonaws.com/users/6/albums/1/transcoded/skrapps-app-icon-750.png?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473811581&Signature=YSwFf8QU1troNdFwV%2Boxl82Ccso%3D",
          "width": 750,
          "height": 750,
          "size": 755518,
          "format": "png"
        },
        "828": {
          "url": "https://skrapps-api-dev-east.s3.amazonaws.com/users/6/albums/1/transcoded/skrapps-app-icon-828.png?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473811581&Signature=555R0%2Ftho5QTJTXtdV%2Fzo8HOKUk%3D",
          "width": 828,
          "height": 828,
          "size": 907324,
          "format": "png"
        },
        "original": {
          "url": "https://skrapps-api-dev-east.s3.amazonaws.com/users/6/albums/1/skrapps-app-icon.png?AWSAccessKeyId=AKIAIGK63EV3HG5IYDEA&Expires=1473811581&Signature=n5UzAKDGoRXxt7H6O2Qj34GVNpk%3D",
          "width": 1024,
          "height": 1024,
          "size": 1243828,
          "format": "png"
        }
      },
      "id": 2,
      "name": "Alex Ebert",
      "bio": "Alexander Michael Tahquitz \"Alex\" Ebert is an American singer-songwriter and composer. He is best known for being the lead singer and songwriter for the American bands Ima Robot and Edward Sharpe and the Magnetic Zeros.",
      "created_at": "2016-03-15T20:48:29.255Z",
      "updated_at": "2016-03-15T20:48:29.255Z",
      "user_id": 5
    }
  },
  "is_owner": false,
  "is_following": true,
  "is_viewed": true,
  "is_locked": false
};

/* ==========================================================================
// classes
========================================================================== */

class PostStore {

  constructor() {
    // ...
  }

  loadPost(postId, callback) {
    let baseURL = 'https://staging.api.skrapps.com/ghosts/';
    let url = baseURL + postId;
    $.get(url, function(data) {
      callback(new Post(data));
    });
  }
};

/* ==========================================================================
// exports
========================================================================== */

// export singleton
let singleton = new PostStore()
export { singleton as PostStore };